Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class Result

    java.lang.Object
      weblogic.uddi.client.structures.datatypes.Result

    public class Result

extends Object

This structure in the disposition Report structure. It contains all the error related information.

Constructor Summary
`Result()` Class constructor.

Method Summary
`ErrInfo` | `getErrInfo()` Gets the error information.
`String` | `getErrno()` Gets the error number.
`String` | `getKeyType()` Gets the key type.
`void` | `setErrInfo(ErrInfo value)` Sets the error information.
`void` | `setErrno(String value)` Sets the error number.
`void` | `setKeyType(String value)` Sets the key type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Result

    public Result()

  Class constructor.

Method Detail

### getErrInfo

    public ErrInfo getErrInfo()

  Gets the error information.

  Returns:
    the error information.

### setErrInfo

    public void setErrInfo(ErrInfo value)

  Sets the error information.

  Parameters:
    `the` - new error information.

### getKeyType

    public String getKeyType()

  Gets the key type.

  Returns:
    the key type.

### setKeyType

    public void setKeyType(String value)

  Sets the key type.

  Parameters:
    `the` - new key type.

### getErrno

    public String getErrno()

  Gets the error number.

  Returns:
    the error number.

### setErrno

    public void setErrno(String value)

  Sets the error number.

  Parameters:
    `the` - new error number.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD